%
% DESCRIPTION: Program to create the Power Plant Position GDF file in the Matlab format.
%
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');

[FieldDescription] = {
    'Name','Name of the power plant'
    'Lat','Latitude of the power plant'
    'Long','Longitude of the power plant'
    'ID','ID of the power plant'
    };
[FieldType] = {
    'Name',3
    'Lat',124
    'Long',134
    'ID',3
    };
[FieldUnit] = {
    'Name','char'
    'Lat','deg'
    'Long','deg'
    'ID','char'
    };
[d] = struct();



k=1
d(k).Name=[];
d(k).Lat=[];
d(k).Long=[];
d(k).ID=[];


k=2
d(k).Name=[];
d(k).Lat=[];
d(k).Long=[];
d(k).ID=[];

k=3
d(k).Name=[];
d(k).Lat=[];
d(k).Long=[];
d(k).ID=[];


k=4
d(k).Name=[];
d(k).Lat=[];
d(k).Long=[];
d(k).ID=[];

clear k 
save('GDF_EpisodeName_Power_Plant_Position_example.mat')
